﻿using System.IO;

namespace WPFResourcesStyles
{
    public class Person
    {
        public string Name { get; set; }
        public string Surname { get; set; }

        public override string ToString()
        {
            return string.Format("{0};{1}",Name,Surname);
        }

        public static Person Parse(string line)
        {
            Person person = new Person();
            string[] parts = line.Split(';');
            if (parts.Length != 2)
            {
                throw new InvalidDataException("Line format");
            }
            person.Name = parts[0];
            person.Surname = parts[1];
            return person;
        }
    }
}